/*
This file is part of KumbangTools

    KumbangTools is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    KumbangTools is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with KumbangTools; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package kumbang.modeller.ui.dialogs;

import kumbang.modeller.KumbangModellerPlugin;

import org.eclipse.core.runtime.Status;
import org.eclipse.jface.dialogs.StatusDialog;
import org.eclipse.swt.widgets.Shell;

public abstract class ModifiableStatusDialog extends StatusDialog {



	protected ModifiableStatus status = new ModifiableStatus(Status.ERROR, KumbangModellerPlugin.PLUGIN_ID, Status.ERROR, "", null);


	public ModifiableStatusDialog(Shell parent) {
		super(parent);
		updateStatus(status);
	}
}
