/*
This file is part of KumbangTools

    KumbangTools is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    KumbangTools is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with KumbangTools; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package kumbang.modeller.ui.dialogs;

import kumbang.modeller.controllers.ModelController;

import org.eclipse.core.commands.operations.IUndoContext;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;



public abstract class TypeDialog extends NameTextUndoableOperationDialog {

	protected ModelController modelController;
	
	
	protected TypeDialog(Shell shell, IUndoContext undoContext, ModelController modelController, String title) {
		super(shell, undoContext, title);
		this.modelController = modelController;

	}

	protected Control createDialogArea(Composite parent) {

		Composite composite =(Composite)super.createDialogArea(parent);	
		composite.setLayoutData(LayoutFactory.getInstance().getFillGridData());	    
	    return composite;
	}


	
}
