/*
This file is part of KumbangTools

    KumbangTools is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    KumbangTools is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with KumbangTools; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package kumbang.modeller.util;

public interface Constants {

	public static final int FEATURE_TYPE = 0;
	public static final int COMPONENT_TYPE = 1;
	public static final int INTERFACE_TYPE = 2;
	public static final int ATTRIBUTE_VALUE_TYPE = 3;
	public static final int ATTRIBUTE_DEFINITION = 4;
	public static final int INTERFACE_DEFINITION = 5;
	public static final int PART_DEFINITION = 6;
	public static final int CONSTRAINT = 7;
	public static final int CONNECTION = 8;
	public static final int CONSTRAINT_GROUP = 9;
	public static final int CONNECTION_GROUP = 10;
	
	
	public static final String  FEATURE_TYPE_IMAGE_STRING = "icons/feature.gif";
	public static final String  COMPONENT_TYPE_IMAGE_STRING = "icons/component.gif";
	public static final String  INTERFACE_TYPE_IMAGE_STRING = "icons/interface.gif";
	public static final String  ATTRIBUTE_VALUE_TYPE_IMAGE_STRING = "icons/attribute.gif";
	public static final String  ABSTRACT_FEATURE_TYPE_IMAGE_STRING = "icons/abstract_feature.gif";
	public static final String  ABSTRACT_COMPONENT_TYPE_IMAGE_STRING = "icons/abstract_component.gif";
	
	public static final String  INTERFACE_PROVIDES_IMAGE_STRING = "icons/interface_provides.gif";
	public static final String  INTERFACE_REQUIRES_IMAGE_STRING = "icons/interface_requires.gif";
	public static final String  ATTRIBUTE_DEFINITION_IMAGE_STRING = "icons/attribute.gif";
	public static final String  INTERFACE_DEFINITION_IMAGE_STRING = "icons/interface.gif";
	public static final String  PART_DEFINITION_IMAGE_STRING = "icons/part.gif";
	public static final String  CONSTRAINT_IMAGE_STRING = "icons/structure.gif";
	public static final String  CONNECTION_IMAGE_STRING = "icons/connect.gif";
	public static final String  SUBFEATURE_IMAGE_STRING = "icons/subfeatureRole.gif";
	
	public static final String  NEW_FEATURE_TYPE_IMAGE_STRING = "icons/newFeature.gif";
	public static final String  NEW_COMPONENT_TYPE_IMAGE_STRING = "icons/newComponent.gif";
	public static final String  NEW_INTERFACE_TYPE_IMAGE_STRING = "icons/newInterface.gif";
	public static final String  NEW_ATTRIBUTE_VALUE_TYPE_IMAGE_STRING = "icons/newAttribute.gif";
	
	
	public static final String  FEATURE_TYPE_COLOR_STRING = "FEATURE_COLOR";
	public static final String  COMPONENT_TYPE_COLOR_STRING = "COMPONENT_COLOR";
	public static final String  INTERFACE_TYPE_COLOR_STRING = "INTERFACE_TYPE_COLOR";
	public static final String  ATTRIBUTE_VALUE_COLOR_STRING = "ATTRIBUTE_VALUE_COLOR";
	public static final String  ATTRIBUTE_DEFINITION_COLOR_STRING = "ATTRIBUTE_DEFINITION_COLOR";
	public static final String  INTERFACE_DEFINITION_COLOR_STRING = "INTERFACE_DEFINITION_COLOR";
	public static final String  PART_DEFINITION_COLOR_STRING = "PART_COLOR";
	public static final String  SUBFEATURE_DEFINITION_COLOR_STRING = "SUBFEATURE_COLOR";
	public static final String  CONSTRAINT_COLOR_STRING = "CONSTRAINT_COLOR";
	public static final String  CONNECTION_COLOR_STRING = "CONNECTION_COLOR";
	
	public static final String  COLOR_WHITE = "COLOR_WHITE";
	

}
